<?php
class Expert_Escalation {
    protected $ai_service;

    public function __construct() {
        $this->ai_service = new AI_Service();
    }

    public function escalate_issue($scan_data, $recommendations) {
        $report = "Issue Report:\n\n" . $scan_data . "\n\nRecommendations:\n\n" . $recommendations;

        // Retrieve expert email from an option, ensure it's set
        $experts_email = get_option('supportherowp_experts_email');
        if (!$experts_email) {
            error_log('SupportHeroWP Escalation: Experts email not set.');
            return false;
        }

        $subject = 'SupportHeroWP Escalation Report';
        $headers = ['Content-Type: text/plain; charset=UTF-8'];

        $mail_sent = wp_mail($experts_email, $subject, $report, $headers);
        if (!$mail_sent) {
            error_log('SupportHeroWP Escalation: Failed to send email to ' . $experts_email);
            return false;
        }

        return true;
    }
}
