// src/components/MainContent.jsx

import React from 'react';
import Dashboard from '../pages/Dashboard';
import Analysis from '../pages/Analysis';
import Unlock from '../pages/Unlock';
import Maintain from '../pages/Maintain';
import Integration from '../pages/Integration';
import Settings from '../pages/Settings'; // Import the new Settings page
import Help from '../pages/Help'; // Import the new Settings page

const MainContent = ({ currentPage }) => {
  switch (currentPage) {
    case 'dashboard':
      return <Dashboard />;
    case 'analysis':
      return <Analysis />;
    case 'maintain':
      return <Maintain />;
    case 'integration':
      return <Integration />;
    case 'settings':
      return <Settings />;
    case 'unlock':
      return <Unlock />;
    case 'help': // Optional: If you have a Help page
      return <Help />;
    default:
      return <div className="p-6">Page Not Found</div>;
  }
};

export default MainContent;
