import { defineConfig } from 'vite';
import react from '@vitejs/plugin-react';
import path from 'path';

export default defineConfig({
  plugins: [react()],
  build: {
    outDir: 'assets',
    emptyOutDir: false, // Prevent Vite from deleting existing assets
    rollupOptions: {
      input: {
        main: path.resolve(__dirname, 'src/index.jsx'), // Ensure correct extension
      },
      output: {
        entryFileNames: 'js/main.js',
        assetFileNames: ({ name }) => {
          if (name.endsWith('.css')) return 'css/main.css';
          return 'assets/[name].[hash][extname]';
        },
      },
    },
  },
  server: {
    hot: true,
  },
});
